> For the complete documentation index, see [llms.txt](https://docs.sealights.io/knowledgebase/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.sealights.io/knowledgebase/setup-and-configuration/sealights-agents-and-plugins/java-agent/other-build-and-testing-tools/running-test-listener-with-jmeter.md).

# Running test listener with JMeter

In order to capture code coverage information from tests run with JMeter, you need to run it with our test listener as a Java agent.

The listener needs to be placed alongside the JMeter installation and added to the JVM\_ARG parameter using the `-javaagent` parameter together with its required parameters.

{% code overflow="wrap" lineNumbers="true" %}

```java
export JVM_ARGS=${JVM_ARGS}" -javaagent:/path/to/sl-test-listener.jar -Dsl.tokenFile=/path/to/sltoken.txt -Dsl.buildSessionIdFile=buildSessionId.txt -Dsl.testStage="Integration Tests" -Dsl.includes=com.company.* -Djmeter.home=/path/to/jmeter_home"

jmeter.sh ...
```

{% endcode %}

{% hint style="info" %}
See [Command Reference](/knowledgebase/setup-and-configuration/sealights-agents-and-plugins/java-agent/command-reference.md#installing-test-listener-as-java-agent) for full parameter details
{% endhint %}


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.sealights.io/knowledgebase/setup-and-configuration/sealights-agents-and-plugins/java-agent/other-build-and-testing-tools/running-test-listener-with-jmeter.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
